OntologyManagerFactory
Date: 2012-05-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.ontologymanagement.ontologymanagementservice.factory
Class OntologyManagerFactory

    java.lang.Object
      org.gcube.ontologymanagement.ontologymanagementservice.factory.OntologyManagerFactory

    public class OntologyManagerFactory

extends java.lang.Object

Constructor Summary
`OntologyManagerFactory()`

Method Summary
`ArrayOfOntologyDescriptions` | `getAvailableOntologies(GetAvailableOntologies params)`
`org.apache.axis.message.addressing.EndpointReferenceType` | `getOntologyManager(java.lang.String ontologyURI)`
`org.apache.axis.message.addressing.EndpointReferenceType` | `importOntologyURL(OntologyDescriptionAndURL request)`
`static void` | `init()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntologyManagerFactory

    public OntologyManagerFactory()

Method Detail

### init

    public static void init()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### importOntologyURL

    public org.apache.axis.message.addressing.EndpointReferenceType importOntologyURL(OntologyDescriptionAndURL request)
                                                                               throws GCUBEFault

  Throws:
    `GCUBEFault`

### getAvailableOntologies

    public ArrayOfOntologyDescriptions getAvailableOntologies(GetAvailableOntologies params)
                                                       throws GCUBEFault

  Throws:
    `GCUBEFault`

### getOntologyManager

    public org.apache.axis.message.addressing.EndpointReferenceType getOntologyManager(java.lang.String ontologyURI)
                                                                                throws GCUBEFault

  Throws:
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD